From 574aae2272a670c1f5d75768c7ab51d8b3169afe Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sun, 8 Apr 2012 11:00:27 +0300
Subject: [PATCH] Hardened build flags and other minor fixes
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source |    3 ---
 debian/changelog     |   10 ++++++++++
 debian/control       |    2 +-
 debian/copyright     |   10 ++++++----
 debian/didiwiki.init |   21 ++++++++++++---------
 debian/rules         |    5 ++++-
 6 files changed, 33 insertions(+), 18 deletions(-)
 delete mode 100644 debian/README.source
 mode change 100644 => 100755 debian/didiwiki.init

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index 7f7b2fb..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,3 +0,0 @@
-This package uses the dpatch patch management solution.
-For more information about how to use it, please refer to:
-/usr/share/doc/dpatch/README.source.gz
diff --git a/debian/changelog b/debian/changelog
index 4ebaca3..92deb33 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -25,10 +25,20 @@ didiwiki (0.5-10) unstable; urgency=low
     - Update to 9.
   * debian/control
     - Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * debian/copyright
+    - Mark project URLs unreachable.
+  * debian/didiwiki.init
+    - Adust indent in stop command.
+    - Fix init.d-script-does-not-implement-optional-option (Lintian).
   * debian/patches
     - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
     - Add patch 92 to pass build with fix hardened build flags.
       http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
+  * debian/rules
+    - Add hardened build flags; see
+      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
+  * debian/README.source
+    - Delete; no longer needed with package format 3.0.
 
  -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 14 Mar 2012 09:55:53 +0400
 
diff --git a/debian/control b/debian/control
index 38aa10c..f3ce8ed 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: web
 Priority: optional
 Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.3.1
 
 Package: didiwiki
 Architecture: any
diff --git a/debian/copyright b/debian/copyright
index 894ba34..14dd2bd 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,11 +1,13 @@
 This package was debianised by Hanna Wallach <hmw26@cam.ac.uk> on Wed,
 12 Jan 2005 23:13:30 -0500.
 
-It was downloaded from http://didiwiki.org/
+Note: Dead project.
 
-Note: The upstream URL is not availabe anymore, now it's a spam-site.
-This software can be downloaded from: 
-     http://svn.o-hand.com/repos/didiwiki/trunk/
+The upstream sources is no longer in 2012-04-08 at any of these places:
+
+    http://didiwiki.org (Spam site)
+    http://svn.o-hand.com/repos/didiwiki/trunk/ (Domain not found)
+    http://freecode.com/projects/didiwiki
 
 Upstream Authors: Matthew Allum <mallum@o-hand.com>
                   Carsten Graeser <c.g.berlin@web.de>
diff --git a/debian/didiwiki.init b/debian/didiwiki.init
old mode 100644
new mode 100755
index 2f73fca..4e5616e
--- a/debian/didiwiki.init
+++ b/debian/didiwiki.init
@@ -37,16 +37,19 @@ check_enable_daemon_option() {
 }
 
 case "$1" in
+  status)
+	status_of_proc /usr/bin/didiwiki didiwiki
+	;;
   start)
-  if check_enable_daemon_option; then
-	echo -n "Starting $DESC: "
-	start-stop-daemon --start -b -m -c didiwiki --quiet --pidfile \
-	    $PIDFILE --exec $DAEMON -- --home=/var/lib/didiwiki \
-        --listen=$LISTEN
-	echo "$NAME."
-  else
-      RET=1
-  fi
+	if check_enable_daemon_option; then
+		echo -n "Starting $DESC: "
+		start-stop-daemon --start -b -m -c didiwiki --quiet --pidfile \
+		    $PIDFILE --exec $DAEMON -- --home=/var/lib/didiwiki \
+	      	    --listen=$LISTEN
+		echo "$NAME."
+	else
+		RET=1
+	fi
 	;;
   stop)
 	echo -n "Stopping $DESC: "
diff --git a/debian/rules b/debian/rules
index 5d5f603..8dbbe45 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
-
 # -*- makefile -*-
 
+export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
+export DEB_CFLAGS_MAINT_APPEND	= -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 %:
 	dh $@
-- 
1.7.9.1

